Bug 1619298 - GCE instances not created preemptible
Summary: GCE instances not created preemptible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Tomas Coufal
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-20 14:40 UTC by Jaroslav Henner
Modified: 2019-02-07 23:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: GCE
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:38 UTC

Description Jaroslav Henner 2018-08-20 14:40:00 UTC
Description of problem:
After VM is provisioned with preemptible property being check, it the VM properties in https://CFME/vm_cloud/explorer Properties field Preemptive reads "No" instead of "Yes".

Version-Release number of selected component (if applicable):
Version 5.9.4.4.20180816162527_c00eb23 

How reproducible:
always

Steps to Reproduce:
1. Start creating a VM using CFME provisioning
2. in the process, select Preemptible in the Properties tab
3. Finish Creating the VM.

Actual results:
VM reported as not being Preemptive

Expected results:
VM reported as Preemptible

Additional info:
maybe there is some type preempti_ble_ preempti_ve_

Comment 2 Bronagh Sorota 2018-08-20 15:00:12 UTC
Hi Tom,
Can you test to see if this PR fixes this: https://github.com/ManageIQ/manageiq-providers-google/pull/66

thanks
Bronagh

Comment 3 Jaroslav Henner 2018-08-24 09:09:06 UTC
This happens on 5.10 too.

Comment 5 Tomas Coufal 2018-08-27 11:09:58 UTC
I'm on it!

Comment 6 Tomas Coufal 2018-08-27 11:56:50 UTC
Bronagh: Unfortunately the linked PR is not fixing this. I'll prepare a new PR which would adapt to the API changes on Google side.

Instead of

```
clone option = {
  ...
  :preemptible => true,
  ...
}

```

they have now a new property "scheduling" defined like:


```
clone option = {
  ...
  :scheduling = {
    ...
    :preemptible => true,
    ...
  },
  ...
}

```

Sigh.

Comment 7 Tomas Coufal 2018-08-28 09:28:35 UTC
PR in review: https://github.com/ManageIQ/manageiq-providers-google/pull/70

Comment 8 Tomas Coufal 2018-08-29 07:06:58 UTC
Merged!

Comment 9 Jaroslav Henner 2018-09-03 14:53:03 UTC
Works with 5.10.0.14

Comment 10 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.